<? if ($this->data): ?>
	<div id="posts">
		<? foreach ($this->data as $data): ?>
			<div class="post">
				<div class="title-wrap">
					<a rel="external" href="<?= $this->getLink('blog-post', array('slug' => $data->slug, 'id' => $data->id)) ?>" class="title"><?= $data->title ? $data->title : $data->title_en ?></a>
					<span class="post-date"><?= __('posted_on') ?> <?= $this->getMonth(date('n', $data->date), $this->lang(), TRUE) ?> <?= date('d, Y', $data->date) ?>
					    <span class="time">- <?= date('H:i', $data->date) ?></span>
                    </span>
				</div>

                <div class="image">
                    <img src="<?= $data->photo->getUrl('blog') ?>" width="300" height="180" />
                </div>

				<div class="text"><?= $data->short_post ? $data->short_post : $data->short_post_en ?></div>

				<div class="toClear"></div>

				<a rel="external" href="<?= $this->getLink('blog-post', array('slug' => $data->slug, 'id' => $data->id)) ?>" class="show-more"><?= __('show_more') ?></a>
			</div>
		<? endforeach; ?>

		<? if ($this->others && !$this->search): ?>
<!--			<div class="no-posts"><div class="no-posts">--><?//= __('no_posts_in_month_2') ?><!--</div></div>-->
<!---->
<!--			--><?// foreach ($this->others as $data): ?>
<!--				<div class="post">-->
<!--					<div class="title-wrap">-->
<!--						<a rel="external" href="--><?//= $this->getLink('blog-post', array('slug' => $data->slug, 'id' => $data->id)) ?><!--" class="title">--><?//= $data->title ? $data->title : $data->title_en ?><!--</a>-->
<!--						<span class="post-date">--><?//= __('posted_on') ?><!-- --><?//= $this->getMonth(date('n', $data->date), $this->lang(), TRUE) ?><!-- --><?//= date('d, Y', $data->date) ?>
<!--						    <span class="time">- --><?//= date('H:i', $data->date) ?><!--</span>-->
<!--                        </span>-->
<!--					</div>-->
<!---->
<!--                    <div class="image">-->
<!--                        <img src="--><?//= $data->photo->getUrl('blog') ?><!--" width="250" height="150" />-->
<!--                    </div>-->
<!---->
<!--					<div class="text">--><?//= $data->short_post ? $data->short_post : $data->short_post_en ?><!--</div>-->
<!---->
<!--					<div class="toClear"></div>-->
<!---->
<!--					<a rel="external" href="--><?//= $this->getLink('blog-post', array('slug' => $data->slug, 'id' => $data->id)) ?><!--" class="show-more">--><?//= __('show_more') ?><!--</a>-->
<!--				</div>-->
<!--			--><?// endforeach; ?>
		<? endif; ?>
	</div>

	<? $pages_count = ceil($this->count / $this->per_page); ?>
	<? if ($pages_count != 1): ?>
		<div class="toClear"></div>
        <div class="paging-list" style="position: inherit !important;">

            <? $pages = $this->paging($this->count, $this->page, $this->per_page, 7, 3); ?>

            <? if (1 < $this->page): ?>
                <a href="#" onclick="MCubix.URI.setGetParam( 'page', '<?= $this->page - 1 ?>');">&laquo;<?//= $this->t('previous') ?></a>
            <? endif ?>

            <? foreach ($pages as $page): ?>
                <? if ($this->page == $page): ?>
                    <span class="active"><?= $page ?></span>
                <? else: ?>
                    <a href="#" onclick="MCubix.URI.setGetParam( 'page', '<?= $page ?>');"><?= $page ?></a>
                <? endif ?>
            <? endforeach ?>

            <? if ($pages_count > $this->page): ?>
                <a href="#" onclick="MCubix.URI.setGetParam( 'page', '<?= $this->page + 1 ?>');">&raquo;<?//= $this->t('next') ?></a>
            <? endif ?>
        </div>
	<? endif; ?>
<? else: ?>
	<div class="no-posts"><?= __('no_posts_in_month', array('month' => $this->getMonth($this->month, $this->lang(), TRUE), 'year' => $this->year)) ?></div>

	<? if ($this->data_old): ?>
		<div id="posts">
			<? foreach ($this->data_old as $data_old): ?>
				<div class="post">
					<div class="title-wrap">
						<a href="<?= $this->getLink('blog-post', array('slug' => $data_old->slug, 'id' => $data_old->id)) ?>" class="title"><?= $data_old->title ? $data_old->title : $data_old->title_en ?></a>
						<span class="sep">&nbsp;</span> <?= __('posted_on') ?> <?= $this->getMonth(date('n', $data_old->date), $this->lang(), TRUE) ?> <?= date('d, Y', $data_old->date) ?>
						<span class="time">- <?= date('H:i', $data_old->date) ?></span>
					</div>

					<div class="text"><?= $data_old->short_post ? $data_old->short_post : $data_old->short_post_en ?></div>

					<div class="image">
						<img src="<?= $data_old->photo->getUrl('blog') ?>" width="250" height="150" />
					</div>

					<div class="toClear"></div>

					<a href="<?= $this->getLink('blog-post', array('slug' => $data_old->slug, 'id' => $data_old->id)) ?>" class="show-more"><?= __('show_more') ?></a>
				</div>
			<? endforeach; ?>
		</div>
	<? endif; ?>
<? endif; ?>